NetApp::Snapmirror(3pm)

NAME
NetApp::Snapmirror -- OO class for snapmirror relationships

SYNOPSIS
    use NetApp::Filer;
    use NetApp::Snapmirror;

    my $filer   = NetApp::Filer->new( .... );

    my @snapmirrors     = $filer->get_snapmirrors;

    my $volume  = $filer->get_volume( .... );

    my @snapmirrors     = $volume->get_snapmirrors;

DESCRIPTION
This class encapsulates a single snapmirror relationship, and provides methods for querying information about it, as well as methods for managing it.

METHODS

  get_filer
Returns the NetApp::Filer object for the filer on which this snapmirror relationship is defined.

  get_source
Returns a NetApp::Snapmirror::Source object representing the source filer/volume for this snapmirror relationship.

  get_destination
Returns a NetApp::Snapmirror::Destination object representing the source filer/volume for this snapmirror relationship.

  Miscellaneous get_* methods
All of the following get methods return strings which match the values found for each of the obvious keywords in the output of "snapmirror status -l":

get_status
get_progress
get_state
get_lag
get_mirror_timestamp
get_base_snapshot
get_current_transfer_type
get_current_transfer_error
get_contents
get_last_transfer_type
get_last_transfer_size
get_last_transfer_duration
get_last_transfer_from

NOTE: In a future release, when snapshots are supported as a proper object, the return value of get_snapshot will almost certainly return such an object.